header {
    display: flex;
    justify-content: space-between;
    gap: 24px;
    align-items: center;
    padding: 0 24px;
    background-color: $white;
    height: 120px;

    div {
        flex: 1;
        display: flex;
        align-items: center;

        &.left {
            img {
                width: 120px;
            }

            p {
                font-family: 'Fredericka the Great', serif;
                font-size: 36px;
            }
        }

        &.right {
            display: flex;
            justify-content: center;
            gap: 4px;

            span {
                display: flex;
                padding: 6px;
                cursor: pointer;

                &:hover {
                    background-color: $light;
                    border-radius: 12px;
                }
            }
        }
    }

    nav {
        background-color: $dark;
        padding: 0 12px;
        flex: 3;
        border: $lighter-dark 5px solid;
        border-radius: 24px;

        ul {
            display: flex;
            justify-content: center;
            gap: 24px;
            list-style: none;

            li {
                color: $light;
                font-size: 18px;
                
                p {
                    position: relative;
                    padding: 12px;
                    cursor: pointer;

                    &:hover {
                        background-color: $lighter-dark;
                    }
                }

                &.active {
                    text-decoration: underline;
                    text-underline-offset: 4px;
                }
            }
        }
    }
}